﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CustomerForm.aspx.cs" Inherits="TestPaymentGatway.ICICIBank.CustomerForm" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Customer Information</title>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js" type="text/javascript"></script>
</head>
<body>
    <div id="payment-form" style="display: block">
        <form method="post" action="<%=customerInformationModel.Action%>">
            <input type="hidden" name="txntype" value="sale"/>
            <input type="hidden" name="timezone" value="IST"/>
            <input type="hidden" name="txndatetime" value="<%=customerInformationModel.TransactionTimestamp%>"/>
            <input type="hidden" name="hash" value="<%=customerInformationModel.TransactionReferenceId%>"/>
            <input type="hidden" name="storename" value="<%=customerInformationModel.StoreName%>"/>
            <input type="hidden" name="mode" value="payonly"/>
            <input type="hidden" name="currency" value="<%=customerInformationModel.Currency%>"/>
            <input type="hidden" name="chargetotal" value="<%=customerInformationModel.ChargeTotal%>"/>
            <input type="hidden" name="language" value="en_EN"/>
            <input type="hidden" name="authenticateTransaction" value="true" />
            <input type="hidden" name="oid" value="<%=customerInformationModel.PaymentRefId %>"/>
            <input type="hidden" name="responseFailURL" value="<%=customerInformationModel.FailureReturnUrl%>"/>
            <input type="hidden" name="responseSuccessURL" value="<%=customerInformationModel.SuccessReturnUrl%>"/>
        </form>
    </div>
</body>
    <script>
        $(document).ready(function () {
            $(document).find("#payment-form").find("form").submit();
        });
    </script>
</html>
