﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using TestPaymentGatwayLib.Helper;
using TestPaymentGatwayLib.Interface;
using static TestPaymentGatwayLib.Model.PaymentGatwayModel;

namespace TestPaymentGatwayLib.BusinessLogic
{
    public class CCAvenueHelper: IPaymentGatway
    {
        public void CustomerInromationPaymentDetail(CustomerInformationModel customerinformationmodel)
        {
            string PaymentRefId = UtilityHelper.GetPaymentRefId();

            customerinformationmodel.encRequest = (new CCACrypto()).Encrypt(string.Concat("currency=", customerinformationmodel.Currency, "&amount=", int.Parse(customerinformationmodel.ChargeTotal), "&cancel_url=", customerinformationmodel.FailureReturnUrl, "&merchant_id=", ConstantHelper.CcAvenueMerchantId, "&order_id=", PaymentRefId, "&redirect_url=", customerinformationmodel.SuccessReturnUrl, "&language=en&merchant_param1=", customerinformationmodel.CustomerCode, "&merchant_param2=", customerinformationmodel.GSTPanNumber, "&merchant_param3=", customerinformationmodel.Invoice, "&merchant_param4=", customerinformationmodel.Remarks, "&merchant_param5=", customerinformationmodel.Email),ConstantHelper.CcAvenueWorkingKey);
        }

        public void PaymentFailure(PaymentFailureModel paymentFailureModel)
        {
            UtilityHelper.BindPaymenModel(paymentFailureModel);
        }

        public void PaymentSuccess(PaymentSuccesseModel paymentSuccesseModel)
        {
            UtilityHelper.BindPaymenModel(paymentSuccesseModel);
        }

        public void PaymentRefund(PaymentRefund paymentRefund)
        {

        }
    }
}